Purchase Invoice Status History

The purchase invoice status history resource.

Basehttps://rest.carbon.ms/purchaseInvoiceStatusHistory
GET/purchaseInvoiceStatusHistory

List purchase invoice status historys

Retrieve a paginated list of purchase invoice status historys. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseInvoiceStatusHistory
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoiceStatusHistory?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "invoiceId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "status": "string"
  }
]
GET/purchaseInvoiceStatusHistory

Retrieve a purchase invoice status history

Fetch a single purchase invoice status history by filtering on `id`.

Query parameters

idstring

Match on the purchase invoice status history's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseInvoiceStatusHistory
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoiceStatusHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "status": "string"
}
POST/purchaseInvoiceStatusHistory

Create a purchase invoice status history

Create a new purchase invoice status history.

Body parameters

invoiceIdstringrequired

References purchaseInvoice.id

statuspurchaseInvoiceStatusrequired
POSThttps://rest.carbon.ms/purchaseInvoiceStatusHistory
curl --request POST \
  --url https://rest.carbon.ms/purchaseInvoiceStatusHistory \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"invoiceId":"xyz789","status":"string"}'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "status": "string"
}
PATCH/purchaseInvoiceStatusHistory

Update a purchase invoice status history

Update an existing purchase invoice status history, matched on `id`.

Body parameters

invoiceIdstringrequired

References purchaseInvoice.id

statuspurchaseInvoiceStatusrequired
PATCHhttps://rest.carbon.ms/purchaseInvoiceStatusHistory
curl --request PATCH \
  --url 'https://rest.carbon.ms/purchaseInvoiceStatusHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"invoiceId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "status": "string"
}
DELETE/purchaseInvoiceStatusHistory

Delete a purchase invoice status history

Delete a purchase invoice status history, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the purchase invoice status history to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/purchaseInvoiceStatusHistory
curl --request DELETE \
  --url 'https://rest.carbon.ms/purchaseInvoiceStatusHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content